<?php get_header() ?>

	<div id="container">
		<div id="content">

			<?php the_post() ?>

			<h2 class="page-title"><a href="<?php echo get_permalink($post->post_parent) ?>" title="<?php printf( __( 'Return to %s', 'dkret' ), wp_specialchars( get_the_title($post->post_parent), 1 ) ) ?>" rev="attachment">&laquo; <?php echo get_the_title($post->post_parent) ?></a></h2>
			<div id="post-<?php the_ID(); ?>" <?php post_class('attachment gallery-post') ?>>
				<div class="entry-header">
					<h3 class="entry-title"><?php the_title() ?></h3>
				</div><!-- .entry-header -->

				<div class="entry-content">

					<div class="entry-attachment">
						<a href="<?php echo wp_get_attachment_url($post->ID); ?>" title="<?php echo wp_specialchars( get_the_title($post->ID), 1 ) ?>" rel="attachment"><?php echo wp_get_attachment_image( $post->ID, 'medium' ); ?></a>
						<div class="entry-caption wp-caption-text"><?php if ( !empty($post->post_excerpt) ) the_excerpt(); // this is the "caption" ?></div>
					</div>

					<?php the_content(''.__('Read More <span class="meta-nav">&raquo;</span>', 'dkret').'') ?>

				</div>

				<div id="nav" class="navigation">
					<div class="nav-previous"><?php previous_image_link() ?></div>
					<div class="nav-next"><?php next_image_link() ?></div>
				</div><!-- #nav-images -->

				<div class="entry-meta">
					<?php printf(__('Posted by %1$s, on <span class="entry-date"><abbr class="published" title="%2$sT%3$s">%4$s at %5$s</abbr></span>. Bookmark the <span class="entry-permalink"><a href="%6$s" title="Permalink to %7$s" rel="bookmark">permalink</a></span>. Follow any comments here with the <span class="entry-rss"><a href="%8$s" title="Comments RSS to %7$s" rel="alternate" type="application/rss+xml">RSS feed for this post</a></span>.', 'dkret'),
						'<span class="author vcard"><a class="url fn n" href="'.get_author_link(false, $authordata->ID, $authordata->user_nicename).'" title="' . sprintf(__('View all posts by %s', 'dkret'), $authordata->display_name) . '">'.get_the_author().'</a></span>',
						get_the_time('Y-m-d'),
						get_the_time('H:i:sO'),
						the_date( '', '', '', false ),
						get_the_time(),
						get_permalink(),
						wp_specialchars( get_the_title(), 'double' ),
						comments_rss() ) ?>

<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) : // Comments and trackbacks open ?>
					<?php printf(__('<span class="entry-comments"><a class="comment-link" href="#respond" title="Post a comment">Post a comment</a> or leave a trackback: <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback URL</a>.</span>', 'dkret'), get_trackback_url()) ?>
<?php elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) : // Only trackbacks open ?>
					<?php printf(__('Comments are closed, but you can leave a <span class="entry-trackbacks"><a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">trackback</a>.</span>', 'dkret'), get_trackback_url()) ?>
<?php elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) : // Only comments open ?>
					<?php printf(__('Trackbacks are closed, but you can <span class="entry-comments"><a class="comment-link" href="#respond" title="Post a comment">post a comment</a>.</span>', 'dkret')) ?>
<?php elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) : // Comments and trackbacks closed ?>
					<?php _e('Both comments and trackbacks are currently closed.','dkret') ?>
<?php endif; ?>

					<?php edit_post_link(__('Edit', 'dkret'), "<span class=\"edit-link\">", "</span>"); ?>

				</div><!-- .entry-meta -->
			</div><!-- .post -->

			<?php comments_template() ?>

		</div><!-- #content -->
	</div><!-- #container -->

<?php get_sidebar() ?>
<?php get_footer() ?>