<?php 
// Displays individual comments
function dkret_comments_callback($comment, $args, $depth) {
	$GLOBALS['comment_depth'] = $depth;
	$GLOBALS['comment'] = $comment;

?>
	<li <?php comment_class() ?> id="comment-<?php comment_ID() ?>">
		<div id="div-comment-<?php comment_ID() ?>">

      <?php if (function_exists('gtcn_comment_numbering')) echo gtcn_comment_numbering($comment->comment_ID, $args); ?>

			<div class="comment-author vcard">
					<?php $dkret_avatar_size = apply_filters( 'dkret_avatar_size', '40' ); // Filter for changing avatar size ?>
					<?php echo get_avatar( $comment, $dkret_avatar_size ); ?>
					<?php echo get_comment_author_link() ?>
			</div>
			<div class="comment-meta commentmetadata">
				<a href="#comment-<?php comment_ID() ?>" title=""><?php printf(__('%1$s at %2$s','dkret'), get_comment_date(),  get_comment_time()) ?></a>
				<?php
					$max_depth = get_option('thread_comments_depth');
					echo comment_reply_link(array(
						'add_below' => 'div-comment',
						'reply_text' => __('Reply','dkret'), 
						'login_text' => __('Log in to reply.','dkret'),
						'depth' => $depth,
						'max_depth' => $max_depth, 
						'before' => '<span class="separator">|</span> <span class="comment-reply-link">', 
						'after' => '</span>'
					));
				?>
				<?php if (!class_exists('WPrapAjaxEditComments')) edit_comment_link(__('Edit', 'dkret'), ' <span class="meta-sep">|</span> <span class="edit-link">', '</span>') ?>
			</div>
<?php if ($comment->comment_approved == '0') : ?> 
			<span class="unapproved"><?php _e('Your entry is awaiting moderation.', 'dkret') ?></span>
<?php endif; ?>

			<?php echo apply_filters('comment_text', get_comment_text()) ?>

		</div>
<?php
}

?>