<?php
global $wp_version;

function findrandompicture() {
/* 
Original Plugin Name: K2-Picture upload
Original Plugin URI: http://ramlev.dk/wp-plugins/
Description: Change header picture.
Author: Hasse Ramlev Hansen <hasse@ramlev.dk>
Author URI: http://ramlev.dk
Version: 1.1.1
*/

	$picture_dir = @ dir(ABSPATH . '/wp-content/themes/' . get_template() . '/images/headers');
	if ($picture_dir)
	{
		while(($file = $picture_dir->read()) !== false)
		{
			if (!preg_match('|^\.+$|', $file) && !preg_match('|^CVS$|', $file) && preg_match('/\.(gif|jpg|png)$/i',$file))
			{
				$picture_files[] = $file;
			}
		}
	}
  $size = count($picture_files);
  return ($picture_files[rand(0, $size-1)]);
}

function dkret_inline_css() {
	$options = get_option('dkret3');
	if (DKRETLAYOUT != 'Default-Layout.css')
		echo "\n\t<link rel=\"stylesheet\" type=\"text/css\" title=\"layout\" media=\"screen\" href=\"". DKRETLAYOUT .'" />';

	$picture = $options['headerimage'];
	if ($options['random_header'] == "1") {
		$picture = findrandompicture();
	}
	/* 
	check if picture is not the standard one and picture is not empty (otherwise right-click show graphic would open the header
	directory)
	*/
	if (($picture != "standard") && ($picture != "")) {
		echo "<style type=\"text/css\">#header { background: url('". get_bloginfo('template_url') ."/images/headers/$picture') repeat-x; }</style>";
	}
}

function dkret_addjs() {
	$options = get_option('dkret3');
	wp_enqueue_script('jquery');
	wp_enqueue_script('dkret-suckerfish', get_bloginfo('template_url') .'/library/js/dkret-suckerfish.js', array('jquery'), '3.1');
	if($options['previewcomment'] == 1 ) {
		wp_enqueue_script('dkret-commentpreview', get_bloginfo('template_url') .'/library/js/dkret-commentpreview.js', array('jquery'), '3.1');
	}
}

// add javascript and css styles to header
add_action('wp_head','dkret_inline_css');
add_action('wp_head', 'dkret_addjs', 1);
?>