<?php get_header() ?>

	<div id="container">
		<div id="content">

			<div id="now-reading-author" class="now-reading">
				<h2><?php _e('Books by','dkret'); ?> <?php the_book_author() ?></h2>
				<a href="<?php library_url() ?>">&larr; <?php _e('Back to Library','dkret'); ?></a>
<?php if( have_books("author={$GLOBALS['nr_author']}") ) : ?>
<?php while( have_books("author={$GLOBALS['nr_author']}") ) : the_book(); ?>
				<div class="book">
					<a href="<?php book_permalink() ?>" title="<?php book_author() ?>: <?php book_title() ?>"><img width="100" height="170" class="alignleft" src="<?php book_image() ?>" alt="<?php book_title() ?>" /></a>
					<a href="<?php book_permalink() ?>"><?php book_title() ?></a> <br /><p><?php _e('by','dkret'); ?> <a href="<?php book_author_permalink() ?>"><?php book_author() ?></a></p>
				</div><!-- .book -->
<?php endwhile;
else : ?>
<?php _e('There are no books by this author!','dkret'); ?>
<?php endif; ?>

<?php if( can_now_reading_admin() ) : ?>
<?php _e('Admin:','dkret'); ?> &raquo; <a href="<?php manage_library_url() ?>"><?php _e('Manage Books','dkret'); ?></a> &raquo; <a href="<?php book_edit_url() ?>"><?php _e('Edit this Book','dkret'); ?></a>
<?php endif; ?>

<?php do_action('nr_footer'); ?>

			</div><!-- #now-reading-author .now-reading -->
		</div><!-- #content -->
	</div><!-- container -->

<?php get_sidebar() ?>
<?php get_footer() ?>