<?php
/*
Template Name: No Sidebar Page
Info: Use it for Pages that need the full width but don't need a sidebar!
Theme: dkret3
Author: J. Kretzschmar
Author URI: http://diekretzschmars.de/
*/
?>

<?php get_header(); ?>

	<div id="container">
		<div id="content" class="widecolumn">

<?php the_post() ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class() ?>>
				<div class="entry-header">
					<h2 class="entry-title"><?php the_title() ?></h2>
				</div><!-- .entry-header -->
				<div class="entry-content">

					<?php the_content() ?>

					<?php wp_link_pages("<div class='page-link'>".__('Pages: ', 'dkret'), "</div>", 'number'); ?>

					<?php the_tags('<span class="tag-links"><span class="text">' . __('Tagged','dkret') . '</span> ', ', ', '</span>'); ?>

					<?php edit_post_link(__('Edit', 'dkret'),'<span class="edit-link">','</span>') ?>

				</div><!-- .entry-content -->
			</div><!-- #post?? .post_class() -->

			<?php comments_template() ?>

		</div><!-- #content -->
	</div><!-- container -->

<?php get_footer(); ?>