<?php get_header() ?>

	<div id="container">
		<div id="content">

<?php the_post() ?>
			<div id="post-<?php the_ID() ?>" <?php post_class('attachment') ?>>
				<div class="entry-header">
					<h2 class="entry-title"><?php the_title() ?></h2>
					<div class="entry-meta-above">
						<span class="author vcard"><span class="icontext"><?php _e('By','dkret') ?> </span><?php the_author_posts_link() ?></span>
						<span class="meta-sep">|</span>
						<span class="cat-links"><span class="icontext"><?php _e('Posted in','dkret') ?> </span><?php the_category(', ') ?></span>
						<?php the_tags('<span class="meta-sep">|</span><span class="tag-links"><span class="icontext">' . __('Tagged','dkret') . ' </span> ', ', ', '</span>'); ?>
					</div><!-- .entry-meta-above -->

				</div><!-- .entry-header -->

				<div class="entry-content">

					<?php the_content(''.__('Read More <span class="meta-nav">&raquo;</span>', 'dkret').''); ?>

					<?php wp_link_pages('before=<div class="page-link">' .__('Pages:', 'dkret') . '&after=</div>&next_or_number=number') ?>

				</div><!-- .entry-content -->

				<?php if (function_exists('st_related_posts')) st_related_posts(''.__("number=5&title=<h3 class='related'>Related Posts</h3>&nopoststext=No related posts.", 'dkret').'') ?>

				<div class="entry-meta">
					<?php printf(__('This entry was written by %1$s, posted on <span class="entry-date"><abbr class="published" title="%2$sT%3$s">%4$s at %5$s</abbr></span>, filed under <span class="entry-categories">%6$s</span>%7$s. Bookmark the <span class="entry-permalink"><a href="%8$s" title="Permalink to %9$s" rel="bookmark">permalink</a></span>. Follow any comments here with the <span class="entry-rss"><a href="%10$s" title="Comments RSS to %9$s" rel="alternate" type="application/rss+xml">RSS feed for this post</a></span>.', 'dkret'),
						'<span class="author vcard"><a class="url fn n" href="'.get_author_link(false, $authordata->ID, $authordata->user_nicename).'" title="' . sprintf(__('View all posts by %s', 'dkret'), $authordata->display_name) . '">'.get_the_author().'</a></span>',
						get_the_time('Y-m-d'),
						get_the_time('H:i:sO'),
						the_date('', '', '', false),
						get_the_time(),
						get_the_category_list(', '),
						get_the_tag_list(' '.__('and tagged <span class="entry-tags">','dkret').'', ', ', '</span>'),
						get_permalink(),
						wp_specialchars(get_the_title(), 'double'),
						comments_rss() ) ?>

<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) : // Comments and trackbacks open ?>
					<?php printf(__('Post a <a class="comment-link" href="#respond" title="Post a comment">comment</a> or leave a <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">trackback</a>.', 'dkret'), get_trackback_url()) ?>
<?php elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) : // Only trackbacks open ?>
					<?php printf(__('Comments are closed, but you can leave a <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">trackback</a>.', 'dkret'), get_trackback_url()) ?>
<?php elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) : // Only comments open ?>
					<?php printf(__('Trackbacks are closed, but you can post a <a class="comment-link" href="#respond" title="Post a comment">comment</a>.', 'dkret')) ?>
<?php elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) : // Comments and trackbacks closed ?>
					<?php _e('Both comments and trackbacks are currently closed.','dkret') ?>
<?php endif; ?>
				</div><!-- -entry-meta -->

				<?php edit_post_link(__('Edit', 'dkret'), "<span class=\"edit-link\">", "</span>"); ?>

			</div><!-- #post-?? -->
			
<?php if(function_exists('wp_pagenavi')) :
		wp_pagenavi();
	else : ?>
			<div id="nav" class="navigation">
				<?php next_posts_link(__('<span class="nav-previous"><span class="meta-nav">&laquo;</span> Older posts</span>', 'dkret')) ?>
				<?php previous_posts_link(__('<span class="nav-next">Newer posts <span class="meta-nav">&raquo;</span></span>', 'dkret')) ?>
			</div><!-- #nav .navigation -->

<?php endif; ?>

			<?php comments_template() ?>

		</div><!-- #content -->
	</div><!-- #container -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>