<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes() ?>>
<head profile="http://gmpg.org/xfn/11">
	<title><?php wp_title( '-', true, 'right' ); if ( $cpage > 1) printf(__('Comment Page %s - ','dkret'), $cpage) ?><?php echo wp_specialchars( get_bloginfo('name'), 1 ) ?></title>
	<meta http-equiv="content-type" content="<?php bloginfo('html_type') ?>; charset=<?php bloginfo('charset') ?>" />
	<meta name="template" content="<?php echo TEMPLATENAME ?>" />
<?php if (!function_exists('automatic_feed_links')) { ?>
	<link rel="alternate" type="application/rss+xml" href="<?php bloginfo('rss2_url') ?>" title="<?php echo wp_specialchars(get_bloginfo('name'), 1) ?> <?php _e('Posts RSS feed', 'dkret'); ?>" />
	<link rel="alternate" type="application/rss+xml" href="<?php bloginfo('comments_rss2_url') ?>" title="<?php echo wp_specialchars(get_bloginfo('name'), 1) ?> <?php _e('Comments RSS feed', 'dkret'); ?>" />
<?php } ?>
	<link rel="stylesheet" type="text/css" media="screen" href="<?php bloginfo('stylesheet_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<link rel="shortcut icon" href="<?php bloginfo('stylesheet_directory'); ?>/library/images/favicon.ico" />
<?php
	global $ec3;
	$options=get_option('dkret3');
	$ec3->nocss=true;
	if ( is_singular() && function_exists('wp_list_comments') ) {
		wp_enqueue_script( 'comment-reply' );
	}
	wp_head(); ?>
</head>

<body <?php if (function_exists('body_class')) body_class(); ?>>

<div id="wrapper" class="hfeed">

	<div id="header" onclick="location.href='<?php bloginfo('url'); ?>'">
<?php if($options['blogtitle'] == 1 ) { ?>
		<h1 id="blog-title" class="title"><span><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></span></h1>
		<div id="blog-description" class="title"><?php bloginfo('description'); ?></div>
<?php } ?>
	</div><!-- #header .hfeed -->

<?php if ($options['navigationlevel'] != 0) { ?>
	<div id="access">

    <?php dkret_access_links () ?>
		<?php wp_page_menu('show_home='. __('Start','dkret') .'&title_li=&sort_column=menu_order&depth='. $options['navigationlevel'] .'&echo=1') ?>

	</div><!-- #access -->

<?php } ?>