<?php

// dkret3 calendar dates
function dkret_calendardate() {
 
	$calendardate = '<div class="entry-calendar-date">';
	$calendardate .= get_the_time('M');
	$calendardate .= '<span class="entry-calendar-day">';
	$calendardate .= get_the_time('d');
	$calendardate .= '</span>';
	$calendardate .= '<span class="entry-calendar-year">';
	$calendardate .= get_the_time('Y');
	$calendardate .= '</span>';		
	$calendardate .= "</div>\n";
    
  echo apply_filters( 'dkret_calendardate', $calendardate ); // Filter to override default dkret3 calendar date
}

// dkret3 additional links for the top navigation #access
function dkret_access_links() {

	$options=get_option('dkret3');

  if ( $options['rss'] == 1 ) {
    $rss = '<span class="access-rss">';
    $rss .= '<a href="'. get_bloginfo('rss2_url') .'" title="'. __('RSS 2.0 feed for the posts','dkret') .'">';
    $rss .= __('RSS','dkret');
    $rss .= "</a></span>\n";
  }

  if ( $options['gallery_cat_id'] != '-1' && ($options['gallerylink']) == '1' )  {
		$gallery = '<span class="access-gallery">';
    $gallery .= '<a href="'. get_category_link($options['gallery_cat_id']) .'" title="'. __('Browse the Gallery','dkret') .'">';
    $gallery .= __('Gallery','dkret');
    $gallery .= "</a></span>\n";
  }

  if ( (function_exists('library_url')) && ($options['nowreading'] == 1) )  {
		$library = '<span class="access-library">';
    $library .= '<a href="'. library_url(false) .'">';
    $library .= __('My Books','dkret');
    $library .= "</a></span>\n";
  }

  $accesslinks = $rss . $gallery . $library;

  echo apply_filters( 'dkret_access_links', $accesslinks ); // Filter to override default dkret3 extra links
}

?>