<?php 
//save changed options
function dkretupdate() {
	if ( !empty($_POST) ) {
		$options = get_option('dkret3');
		if ( isset($_POST['layout_file']) )
			$options['layout'] = $_POST['layout_file'];
		if ( isset($_POST['header_text']) )
			$options['blogtitle'] = '1';
		else
			$options['blogtitle'] = '0';
		if ( isset($_POST['header_rss']) )
			$options['rss'] = '1';
		else
			$options['rss'] = '0';
		if ( isset($_POST['show_subnavigation']) )
			$options['navigationlevel'] = $_POST['show_subnavigation'];
		if ( isset($_POST['nowreading']) )
			$options['nowreading'] = '1';
		else
			$options['nowreading'] = '0';
 		if ( isset($_POST['summary']) )
			$options['summary'] = '1';
		else
			$options['summary'] = '0';
		if ( isset($_POST['previewcomment']) )
			$options['previewcomment'] = '1';
		else
			$options['previewcomment'] = '0';
		if ( isset($_POST['cat']) )
			$options['gallery_cat_id'] = $_POST['cat'];
		if ( isset($_POST['gallerylink']) )
			$options['gallerylink'] = '1';
		else
			$options['gallerylink'] = '0';
		if ( isset($_POST['showgallery']) )
			$options['showgallery'] = '1';
		else
			$options['showgallery'] = '0';
		if ( isset($_POST['userandomfeature']) )
			$options['random_header'] = '1';
		else
			$options['random_header'] = '0';
		if ( isset($_POST['header_picture']) )
			$options['headerimage'] = $_POST['header_picture'];
		if ($_FILES['picture']['name'] != "" && $_FILES['picture']['size'] > 0) {
			$target_path =  ABSPATH . '/wp-content/themes/' . get_template() . '/images/headers/';
			move_uploaded_file($_FILES['picture']['tmp_name'], $target_path.$_FILES['picture']['name']);
			$options['headerimage'] = ($_FILES['picture']['name']);
		}
		update_option('dkret3', $options);
	}
}

// if we can't find dkret3 installed or installed version is older lets go ahead and install all the options that run dkret3.
$options = get_option('dkret3');
if ( (!$options) || ($options['version'] != DKRETVERSION) ) {
	dkret_switch();
	$options = array(
		'version'=>DKRETVERSION,
		'layout'=>'Default-Layout.css',
		'blogtitle'=>'1',
		'rss'=>'0',
		'navigationlevel'=>'1',
		'nowreading'=>'1',
		'summary'=>'0',
		'previewcomment'=>'0',
		'random_header'=>'0',
		'headerimage'=>'standard',
		'gallery_cat_id'=>'-1',
		'gallerylink'=>'1',
		'showgallery'=>'0',
		);
	update_option('dkret3', $options);
}

function dkret_switch() {
	delete_option('dkret3');

	// delete options of the dkret Widgets
	// delete_option('widget_dkret_about');
	delete_option('widget_dkret_links');
	delete_option('widget_dkret_meta');
	delete_option('widget_dkret_randomquote');
	delete_option('widget_dkret_search');
	delete_option('widget_dkret_tagcloud');
	delete_option('widget_dkret_todo');
	delete_option('widget_dkret_icalevents');
	delete_option('widget_dkret_events');
	delete_option('widget_dkret_rsslinks');
	delete_option('widget_dkret_nowreading');
}

function add_theme_interface() {
	add_theme_page('Theme Settings', TEMPLATENAME . ' ' .__('Settings','dkret') , '8', 'functions', 'menu');
}

// dkret options page
function menu() { ?>

	<div class="wrap">

		<h2><?php printf(__('%s theme settings','dkret'), TEMPLATENAME) ?></h2>

<?php global $wp_version;
	$options=get_option('dkret3');
	
	if (isset($_POST['Submit'])) {
?>

	<div id="mesage" class="updated fade">
		<p><strong><?php _e('Settings saved','dkret'); ?></strong></p>
	</div>

<?php } ?>

			<h3><?php printf(__('About %s','dkret'), TEMPLATENAME) ?></h3>

				<table cellspacing="0" class="widefat post fixed">

					<tr>
						<th style="width: 230px;"><?php _e('Developed by:','dkret') ?></th>
						<td><?php echo TEMPLATEAUTHOR ?></td>
					</tr>
					<tr>
						<th><?php _e('Theme Version:','dkret'); ?></th>
						<td><?php echo TEMPLATEVERSION ?></td>
					</tr>
					<tr>
						<th><?php _e('Theme Support:','dkret'); ?></th>
						<td><a href="<?php echo TEMPLATEURI ?>" title="<?php _e('Get support for this theme','dkret'); ?>"><?php printf(__('Visit the %s theme page','dkret'), TEMPLATENAME) ?></a></td>
					</tr>
<?php if (THEMENAME != TEMPLATENAME) { ?>
					<tr>
						<th><?php _e('Child theme based on:','dkret') ?></th>
						<td><a href="<?php THEMEURI ?>" title="<?php _e('Download the dkret parent theme','dkret'); ?>"><?php echo THEMENAME ?></a></td>
					</tr>
<?php } ?>	

				</table>

			<form name="dofollow" action="" method="post" enctype="multipart/form-data">
				<input type="hidden" name="action" value="<?php dkretupdate(); ?>" />
				<input type="hidden" name="page_options" value="'dofollow_timeout'" />

				<h3><?php _e('Blog appearance','dkret'); ?></h3>

				<table cellspacing="0" class="widefat post fixed">
					<tbody>
<?php
	$options=get_option('dkret3');
	global $checklayout;
	if ($checklayout) {
?>
						<tr valign="top">
							<th style="width: 230px;" scope="row"><?php _e('Layouts','dkret'); ?></th>
							<td>
								<select name="layout_file" id="layout_file" style="width: 200px;">
								<option value="<?php echo $options['layout'] ?>"><?php if ($options['layout'] == 'Default-Layout.css') { _e('Standard Layout','dkret'); } else { echo $options['layout']; } ?></option>
								<option value=""> ------ </option>
    
<?php
	$layout_dir = @ dir(ABSPATH . '/wp-content/themes/' . get_option('stylesheet') . '/library/layouts');

	if ($layout_dir) {
		while(($file = $layout_dir->read()) !== false) {
			if (!preg_match('|^\.+$|', $file) && preg_match('|\.css$|', $file)) 
				$layout_files[] = $file;
			}
		}
		if ($layout_dir || $layout_files) {
			foreach($layout_files as $layout_file) {
				echo '<option value="' . $layout_file . '">' . $layout_file . '</option>';
			}
		} 
		echo '</select>'; ?>
		
								<p><?php _e("Layout files are CSS files that allow you to visually customize your blog, without ever touching the themes core files.<br />Read the documentation for further information.",'dkret'); ?></p>

							</td>
						</tr>
<?php 
	}
?>

				<script type="text/javascript">
					var blogadress = "<?php echo get_template(); ?>";
					function updateHeader(sel) {
						if (sel.options[sel.selectedIndex].value == "standard") {
							document.header.src = "../wp-content/themes/" + blogadress + "/images/bg_header_standard.jpg";
						}	else {
							document.header.src = "../wp-content/themes/" + blogadress + "/images/headers/" + sel.options[sel.selectedIndex].value;
						}
					}
				</script>


						<tr valign="top">
							<th style="width: 230px;" scope="row"><?php _e('Upload Images','dkret'); ?></th>
							<td>
								<label for="picture">
<?php
	$picture_dir = ABSPATH . '/wp-content/themes/' . get_template() . '/library/images/headers';
	// check for permission settings, Safe mode limitations are not taken into account. 
	if ( !is_writeable($picture_dir ) ) {
		$picture_dir = '/' . get_template() . '/library/images/headers';
		printf(__('Folder <strong>%1$s</strong> is not writable. Upload wont work.', 'dkret'), $picture_dir);
	} else {
?>
									<input id="picture" size="30" type="file" name="picture" /><br />
									<?php _e("Press <strong>'Save changes'</strong> at the bottom to upload the image.",'dkret') ?>
<?php 
	}
?>
								</label>
							</td>
						</tr>
						<tr>
							<th scope="row"><?php _e('Select Header','dkret'); ?></th>
							<td>
								<select style="width: 200px;" name="header_picture" onchange="updateHeader( this )">
									<option value="<?php echo $options['headerimage'] ?>"><?php if ($options['headerimage'] == 'standard') { _e('Standard Header Image','dkret'); } else { echo $options['headerimage']; } ?></option>
									<option value=""> ------ </option>
									<option value="standard"><?php _e('Standard Header Image','dkret'); ?></option>
									<?php
										$picture_dir = @ dir(ABSPATH . '/wp-content/themes/' . get_template() . '/library/images/headers');
										if ($picture_dir)	{
											while(($file = $picture_dir->read()) !== false)	{
												if (!preg_match('|^\.+$|', $file) && !preg_match('|^CVS$|', $file) && preg_match('/\.(gif|jpg|png)$/i',$file))	{
													$picture_files[] = $file;
												}
											}
											if ($picture_dir && $picture_files)	{
												foreach ($picture_files as $picture_file) {
													echo "<option value=\"".$picture_file."\">".$picture_file."</option>";
												}
											}
											else {
												$options['headerimage'] == 'standard';
												update_option('dkret3', $options);
											}
										}
									?>
								</select>							
								<br/>
<?php
	global $wpdb;
	$picname = $options['headerimage'];

	if ($picname != 'standard')	{
		$picture_title = $picname;
	}	else {
		$picture_title = __('Standard Header Image','dkret');
	}
	if ($picname != 'standard') {
		$pic = '../wp-content/themes/' . get_template() . '/library/images/headers/'.$picture_title;
	}	else {
		$pic = '../wp-content/themes/' . get_template() . '/library/images/bg_header_standard.jpg';
	}
	echo ('<img name="header" src="'.$pic.'" alt="" width="200"></img>');
?>
							</td>
						</tr>

						<tr valign="top">
							<th scope="row"><?php _e('Random Header','dkret'); ?></th>
							<td>
								<label for="userandomfeature">
									<input id="userandomfeature" type="checkbox" name="userandomfeature" value="1" <?php checked('1', $options['random_header']) ?> />
									<?php _e('Show Random Header Picture','dkret'); ?>
								</label>
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"><?php _e('Title','dkret'); ?></th>
							<td>
								<label for="show_title">
									<input name="header_text" id="show_title" type="checkbox" value="1" <?php checked('1', $options['blogtitle']) ?> />
									<?php _e('Show Title','dkret') ?>
								</label>
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"><?php _e('RSS-Links','dkret'); ?></th>
							<td>
								<label for="show_rss">
									<input name="header_rss" id="show_rss" type="checkbox" value="1" <?php checked('1', $options['rss']) ?> />
									<?php _e('Show RSS-Links','dkret') ?>
								</label>
							</td>
						</tr>
<?php if (function_exists ('library_url')) { ?>
						<tr valign="top">
							<th scope="row"><?php _e('Now Reading Link','dkret'); ?></th>
							<td>
								<label for="nowreading">
									<input name="nowreading" id="nowreading" type="checkbox" value="1" <?php checked('1', $options['nowreading']) ?> />
									<?php _e('Show Now Reading Link','dkret') ?>
								</label>
							</td>
						</tr>
<?php } ?>
						<tr valign="top">
							<th scope="row"><?php _e('Levels of Navigation','dkret'); ?></th>
							<td>						
								<select style="width: 200px;" name="show_subnavigation" id="show_subnavigation">
									<option value="<?php echo $options['navigationlevel'] ?>">
<?php
	$level = $options['navigationlevel'];
	$messages[0] = __('Hide top navigation', 'dkret');
	$messages[1] = __('Show top-level links only', 'dkret');
	$messages[2] = __('Show first sub-level', 'dkret');
	$messages[3] = __('Show second sub-level', 'dkret');
	$messages[4] = __('Show third sub-level', 'dkret');
	echo $messages[$level]; 
?>
									</option>
									<option value=""> ------ </option>
									<option value="0"><?php echo $messages[0] ?></option>
									<option value="1"><?php echo $messages[1] ?></option>
									<option value="2"><?php echo $messages[2] ?></option>
									<option value="3"><?php echo $messages[3] ?></option>
									<option value="4"><?php echo $messages[4] ?></option>
								</select>
								<br/>
								<?php _e("Choose number of levels you want to show in your top navigation.",'dkret'); ?>
							</td>
						</tr>

						<tr valign="top">
							<th scope="row"><?php _e('Summary','dkret'); ?></th>
							<td>
								<label for="summary">
									<input id="summary" type="checkbox" name="summary" value="1" <?php checked('1', $options['summary']) ?> />
									<?php _e('Show search, author, category, tags and archive pages as Summary','dkret'); ?>
								</label>
							</td>
						</tr>

						<tr valign="top">
							<th scope="row"><?php _e('Preview Comments','dkret'); ?></th>
							<td>
								<label for="previewcomment">
									<input id="previewcomment" type="checkbox" name="previewcomment" value="1" <?php checked('1', $options['previewcomment']) ?> />
									<?php _e('Show Comment Preview','dkret'); ?>
								</label>
							</td>
						</tr>
					</tbody>
				</table>

				<h3><?php _e('Gallery','dkret'); ?></h3>
				<p><?php _e("Dkret supports the gallery function of Wordpress extensively. Dkret shows galleries if you set a category for your gallery posts.",'dkret') ?></p>

				<table cellspacing="0" class="widefat post fixed">
					<tbody>
						<tr valign="top">
							<th style="width: 230px;" scope="row"><?php _e('Gallery category','dkret'); ?></th>
							<td>
								<?php wp_dropdown_categories('hide_empty=0&selected='. $options['gallery_cat_id'] .'&show_option_none='. __('No Gallery', 'dkret') ); ?>
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"><?php _e('Gallery Link','dkret'); ?></th>
							<td>
								<label for="gallerylink">
									<input id="gallerylink" type="checkbox" name="gallerylink" value="1" <?php checked('1', $options['gallerylink']) ?> />
									<?php _e('Show Gallery Link','dkret'); ?>
								</label>
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"><?php _e('Gallerie View on blog home','dkret'); ?></th>
							<td>
								<label for="showgallery">
									<input id="showgallery" type="checkbox" name="showgallery" value="1" <?php checked('1', $options['showgallery']) ?> />
									<?php _e('Style gallery categorized posts different','dkret'); ?>
								</label>
							</td>
						</tr>
					</tbody>
				</table>
	
				<p class="submit"><input type="submit" name="Submit" value="<?php _e('Save Changes','dkret') ?> &raquo;" /></p>

			</form>

	</div><!-- .wrap -->
<?php } //  end of dkrets options menu

// delete  all options if theme is switched
add_action('switch_theme', 'dkret_switch');

// Let's add the options page.
add_action('admin_menu', 'add_theme_interface');
?>